Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.kernel.basic
Class KernelBasic_WriterLogger_StandardFactory

    java.lang.Object
      things.thinger.kernel.basic.KernelBasic_WriterLogger_StandardFactory

All Implemented Interfaces:
  KernelBasic_WriterLogger_Factory

    public class KernelBasic_WriterLogger_StandardFactory

extends java.lang.Object
implements KernelBasic_WriterLogger_Factory

The standard log factory for the kernel.

Version:
  1.0

  Version History

      EPG - Initial - 12 NOV 05

Author:
  Erich P. Gatejen

Constructor Summary
`KernelBasic_WriterLogger_StandardFactory()`

Method Summary
`KernelBasic_WriterLogger` | `forgeFileLogger(WhoAmI owner, java.lang.String path, AFileSystem fs, Logger.LEVEL configuredLevel)` Create a filesystem based logger.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KernelBasic_WriterLogger_StandardFactory

    public KernelBasic_WriterLogger_StandardFactory()

Method Detail

### forgeFileLogger

    public KernelBasic_WriterLogger forgeFileLogger(WhoAmI owner,
                                                    java.lang.String path,
                                                    AFileSystem fs,
                                                    Logger.LEVEL configuredLevel)
                                             throws SystemException

  Create a filesystem based logger.

  Specified by:
    `forgeFileLogger` in interface `KernelBasic_WriterLogger_Factory`
  Parameters:
    `owner` - The owner of the log.
    `path` - The path into the filesystem for the log.
    `fs` - a filesystem
    `configuredLevel` - The configured logging level.
  Throws:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.